> For the complete documentation index, see [llms.txt](https://docs.patascore.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.patascore.com/financial-education-1/quiz/fetch-websocket-conversaction.md).

# Get Quiz Questions

<mark style="color:blue;">`GET`</mark> `{{BASE_URL}}/api/lessons/{lesson_id}/quiz/questions`

#### Path Parameters

| Name       | Type    | Description             |
| ---------- | ------- | ----------------------- |
| lesson\_id | integer | ID of the lesson to get |

#### Headers

| Name           | Type   | Description                                                    |
| -------------- | ------ | -------------------------------------------------------------- |
| Authentication | string | Authentication token to track down who is emptying our stocks. |

{% tabs %}
{% tab title="200 OK" %}

```json
{
  "status": 200,
  "response_code": 0,
  "success": true,
  "errors": [],
  "message": "Questions retrieved",
  "data": {
    "total_questions": 5,
    "questions": [
      {
        "question_number": 1,
        "question_id": 46,
        "text": " What is one key advantage of Pezesha's fast and simple process?",
        "options": [
          {
            "id": 170,
            "text": "It requires extensive documentation."
          },
          {
            "id": 171,
            "text": "It provides quick approval decisions and rapid money transfer to M-PESA."
          }
        ]
      },
      {
        "question_number": 2,
        "question_id": 47,
        "text": "Which of the following is true about Pezesha's collateral requirements?",
        "options": [
          {
            "id": 174,
            "text": "You must provide multiple forms of collateral."
          },
          {
            "id": 175,
            "text": "Collateral is optional but preferred."
          }
        ]
      }
    ]
  }
}
```

{% endtab %}

{% tab title="404 Not Found" %}

```json
{
    "status": 404,
    "message": "Lesson not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.patascore.com/financial-education-1/quiz/fetch-websocket-conversaction.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
